stash_drop {git2r} | R Documentation

## Drop stash

### Description

Drop stash

### Usage

    stash_drop(object = ".", index = 1)

### Arguments

`object` | path to a repository, or a `git_repository` object, or the stash `object` to drop. Default is a `path = '.'` to a reposiory.
`index` | The index to the stash to drop. Only used when `object` is a path to a repository or a `git_repository` object. Default is `index = 1`.

### Value

invisible NULL

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    # Configure a user
    config(repo, user.name="Alice", user.email="alice@example.org")

    # Create a file, add and commit
    writeLines("Hello world!", file.path(path, "test.txt"))
    add(repo, 'test.txt')
    commit(repo, "Commit message")

    # Change file
    writeLines(c("Hello world!", "HELLO WORLD!"), file.path(path, "test.txt"))

    # Create stash in repository
    stash(repo)

    # Change file
    writeLines(c("Hello world!", "HeLlO wOrLd!"), file.path(path, "test.txt"))

    # Create stash in repository
    stash(repo)

    # View stashes
    stash_list(repo)

    # Drop git_stash object in repository
    stash_drop(stash_list(repo)[[1]])

    ## Drop stash using an index to stash
    stash_drop(repo, 1)

    # View stashes
    stash_list(repo)

    ## End(Not run)

[Package git2r version 0.23.0 Index]